subversion

あまり必要性を感じていないのですが、以下を参考にインストールしてみます。

キーワード「subversion」を元にパッケージを検索する

参考サイトでインストールしているパッケージがありました。

# sudo apt-cache search subversion
(snip)
libapache2-svn - Subversion server modules for Apache
subversion - Advanced version control system
subversion-tools - Assorted tools related to Subversion
(snip)

パッケージ情報を表示する

subversion

# sudo apt-cache show subversion
Package: subversion
Priority: optional
Section: devel
(snip)
Architecture: i386
Version: 1.4.6dfsg1-2ubuntu1
Depends: libapr1, libc6 (>= 2.7-1), libsvn1 (= 1.4.6dfsg1-2ubuntu1)
Suggests: db4.6-util, patch, subversion-tools
(snip)

subversion-tools

# sudo apt-cache show subversion-tools
Package: subversion-tools
Priority: extra
Section: admin
(snip)
Architecture: all
Source: subversion
Version: 1.4.6dfsg1-2ubuntu1
Depends: subversion (>= 1.4)
Recommends: exim4 | mail-transport-agent, libconfig-inifiles-perl (>= 2.27-1), libsvn-perl (>= 1.4), liburi-perl (>= 1.17-1), python-subversion (>= 1.4), rsync, xsltproc
Suggests: libsvn-ruby1.8
Conflicts: kdesdk-scripts (<= 4:3.5.5-1)
(snip)

libapache2-svn

# sudo apt-cache show libapache2-svn
Package: libapache2-svn
Priority: optional
Section: net
(snip)
Architecture: i386
Source: subversion
Version: 1.4.6dfsg1-2ubuntu1
Depends: apache2.2-common, libc6 (>= 2.7-1), libsvn1 (>= 1.4)
Suggests: db4.6-util
(snip)

パッケージのインストール

Dependsに並んでいたlibsvn1が入ってなかったみたい。aptはほかに必要なファイルがある場合はそれも自動的にインストールしてくれるので便利なんですね。

# sudo apt-get install subversion subversion-tools libapache2-svn
(snip)
以下の特別パッケージがインストールされます:
  libsvn1
提案パッケージ:
  db4.6-util libsvn-ruby1.8
推奨パッケージ:
  exim4 mail-transport-agent libconfig-inifiles-perl libsvn-perl python-subversion
(snip)

つづく。

広告を非表示にする